Bug 141123 - the file permissions and ownerships of /etc/ups/* are confusing
the file permissions and ownerships of /etc/ups/* are confusing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nut (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 10:03 EST by feily
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-20 11:05:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description feily 2004-11-29 10:03:03 EST
Description of problem:
the file permissions and ownerships are confusing:

[pt@server1 ups]$ ls -l /etc/ups
total 48
-rw-r--r--  1 root root  3724 Nov 22 17:26 ups.conf
-rw-r--r--  1 root root  1364 Oct  5 17:11 upsd.conf
-rw-r-----  1 root nut   2277 Nov 22 17:26 upsd.users
-r--------  1 nut  nut  11170 Nov 22 17:27 upsmon.conf
-r--------  1 nut  nut   3884 Oct  5 17:11 upssched.conf

Why should the owner of upsmon.conf and upssched.conf not be able to
write to them? He can anyway. Why is upsd.users owned by root and in
group nut? Why is ups.conf and upsd.conf owned by root and upsmon.conf
+ upssched.conf by nut?
If the user rights and ownerships are intentionally like they are,
sorry for this bug report.

Version-Release number of selected component (if applicable):
nut-2.0.0-5
Comment 1 Ngo Than 2005-07-20 11:05:33 EDT
I have cleaned up the file permissons. Alle the config files should have
root as owner, nut as group and permission 640.

The new nut-2.0.2-1 includes now the fix and will be available in rawhide soon
Many thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.